Bug 240424 - math/py-numpy: Update to 1.16.5
Summary: math/py-numpy: Update to 1.16.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-08 19:49 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-09-10 17:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-08 19:49:47 UTC
Update to 1.16.5

Changes:        https://github.com/numpy/numpy/releases
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-09 05:46:55 UTC
1.17.2 is out
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-09 05:49:07 UTC
Ignore.

1.16.5 ... " fixes bugs reported against the 1.16.4 release, and
also backports several enhancements from master that seem appropriate for a
release series that is the last to support Python 2.7. [1]

I take it sunpoet updated to this version since its the last to support Python 2.7, before forking it off to a separate port for the future update.

[1] https://github.com/numpy/numpy/releases/tag/v1.16.5
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-09 19:40:34 UTC
(In reply to Kubilay Kocak from comment #2)

Yeah, you're right. If we want to update numpy to 1.17.2, we'll need a fork of py-numpy, e.g. py-numpy116, for python 2.7 before the end of this year. The next step is to update python.mk which sets PYNUMPY to py-numpy (1.17.2) or py-numpy116 (1.16.5) conditionally.

BTW, I'd like to rename PYGAME and PYNUMPY to PY_GAME and PY_NUMPY which have consistent naming as other PY_* modules.
Comment 4 Antoine Brodin freebsd_committer 2019-09-10 05:52:57 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2019-09-10 17:38:38 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Sep 10 17:38:06 UTC 2019
New revision: 511766
URL: https://svnweb.freebsd.org/changeset/ports/511766

Log:
  Update to 1.16.5

  Changes:	https://github.com/numpy/numpy/releases
  PR:		240424
  Exp-run by:	antoine

Changes:
  head/math/py-numpy/Makefile
  head/math/py-numpy/distinfo
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-09-10 17:43:08 UTC
Committed. Thanks!